Subject: Re: mount RAMDISK directly on rom

From: Scott Anderson <[email-masked]>
Date: Wed, 04 Oct 2000 05:03:53 +0000

Jari wrote:
> Is there anyone know how to let the uncompressed ramdisk image in the
> rom,
> and mount root system directly from it (read only)?

In general, I would add a driver that exposed your rom as a device and
then just tell your kernel that root is on your device.  I have
successfully used the MTD drivers to do exactly this in the past.  I'd
suggest poking around:
  http://www.linux-mtd.infradead.org/

    Scott Anderson
    [email-masked]	MontaVista Software Inc.
    (408)328-9214		490 Potrero Ave.
    http://www.mvista.com	Sunnyvale, CA  94086

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/